<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::MouseMovedEvent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1MouseMovedEvent.html">MouseMovedEvent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1MouseMovedEvent-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::MouseMovedEvent Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="MouseEvent_8hpp_source.html">MouseEvent.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::MouseMovedEvent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1MouseMovedEvent.png" usemap="#gg::MouseMovedEvent_map" alt=""/>
  <map id="gg::MouseMovedEvent_map" name="gg::MouseMovedEvent_map">
<area href="classgg_1_1IEvent.html" alt="gg::IEvent" shape="rect" coords="0,0,141,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a48f3ced46577de83fa4c28f626d0b75c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseMovedEvent.html#a48f3ced46577de83fa4c28f626d0b75c">MouseMovedEvent</a> (const float, const float)</td></tr>
<tr class="separator:a48f3ced46577de83fa4c28f626d0b75c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1878f2591938753f50cf170a723ade41"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseMovedEvent.html#a1878f2591938753f50cf170a723ade41">~MouseMovedEvent</a> () override=default</td></tr>
<tr class="separator:a1878f2591938753f50cf170a723ade41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af843b5cca9b295ba561c35fa4529ce59"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseMovedEvent.html#af843b5cca9b295ba561c35fa4529ce59">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override</td></tr>
<tr class="separator:af843b5cca9b295ba561c35fa4529ce59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6d219c0e27160a2881c9c9d1822a4ec"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseMovedEvent.html#ab6d219c0e27160a2881c9c9d1822a4ec">GetMouseX</a> () -&gt; float</td></tr>
<tr class="separator:ab6d219c0e27160a2881c9c9d1822a4ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75f1825ee66397a4a4d1aa512e68b8eb"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseMovedEvent.html#a75f1825ee66397a4a4d1aa512e68b8eb">GetMouseY</a> () -&gt; float</td></tr>
<tr class="separator:a75f1825ee66397a4a4d1aa512e68b8eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43757c5ea9b1172b1ee12069a6b967c7"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseMovedEvent.html#a43757c5ea9b1172b1ee12069a6b967c7">to_string</a> () const -&gt; std::string</td></tr>
<tr class="separator:a43757c5ea9b1172b1ee12069a6b967c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#acbf64dbf915a0e0d66bce214266f8ac4">~IEvent</a> ()=default</td></tr>
<tr class="separator:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a>=0</td></tr>
<tr class="separator:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0ce169bdd9bd94235a58670a6e9d81cd">IEvent</a> ()=default</td></tr>
<tr class="separator:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a48f3ced46577de83fa4c28f626d0b75c" name="a48f3ced46577de83fa4c28f626d0b75c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48f3ced46577de83fa4c28f626d0b75c">&#9670;&nbsp;</a></span>MouseMovedEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::MouseMovedEvent::MouseMovedEvent </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1878f2591938753f50cf170a723ade41" name="a1878f2591938753f50cf170a723ade41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1878f2591938753f50cf170a723ade41">&#9670;&nbsp;</a></span>~MouseMovedEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::MouseMovedEvent::~MouseMovedEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af843b5cca9b295ba561c35fa4529ce59" name="af843b5cca9b295ba561c35fa4529ce59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af843b5cca9b295ba561c35fa4529ce59">&#9670;&nbsp;</a></span>GetEventType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::MouseMovedEvent::GetEventType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">gg::IEvent</a>.</p>

</div>
</div>
<a id="ab6d219c0e27160a2881c9c9d1822a4ec" name="ab6d219c0e27160a2881c9c9d1822a4ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6d219c0e27160a2881c9c9d1822a4ec">&#9670;&nbsp;</a></span>GetMouseX()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::MouseMovedEvent::GetMouseX </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  float</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a75f1825ee66397a4a4d1aa512e68b8eb" name="a75f1825ee66397a4a4d1aa512e68b8eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75f1825ee66397a4a4d1aa512e68b8eb">&#9670;&nbsp;</a></span>GetMouseY()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::MouseMovedEvent::GetMouseY </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  float</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43757c5ea9b1172b1ee12069a6b967c7" name="a43757c5ea9b1172b1ee12069a6b967c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43757c5ea9b1172b1ee12069a6b967c7">&#9670;&nbsp;</a></span>to_string()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::MouseMovedEvent::to_string </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  std::string</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/events/<a class="el" href="MouseEvent_8hpp_source.html">MouseEvent.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
